IntelliJ IDEA:npm和Yarn

npm和Yarn

此功能仅在Ultimate版本中受支持。

IntelliJ IDEA与npm和Yarn包管理器集成,因此您可以从IDE内部安装,定位,升级和删除可重用代码包。Node.js和NPM页面提供了管理软件包的专用UI。当然,您也可以从内置终端的命令行执行此操作 。

IntelliJ IDEA还允许您运行和调试npm脚本。IntelliJ IDEA解析package.json文件,识别脚本的定义,在树视图中显示脚本,并允许您在树中的脚本及其在package.json文件中的定义之间进行导航。

IntelliJ IDEA使用Yarn工作区检测项目,并索引工作区package.json文件中列出的所有依赖项,但这些依赖项位于根node_modules文件夹中。

IntelliJ IDEA:npm和Yarn

使用准备

  1. 下载并安装Node.js。请注意,npm也已安装,因此,如果您要使用它,则需要执行初步步骤。

  2. 要使用Yarn,请按照Yarn官方网站上的说明进行安装。

选择项目包管理器

使用IntelliJ IDEA,您可以选择是否在项目中使用npm或Yarn。默认情况下,IntelliJ IDEA建议使用npm。但是,如果您打开包含yarn.lock文件的项目并且计算机上安装了Yarn,则IntelliJ IDEA会自动将此项目的包管理器更改为Yarn。您还可以将Yarn设置为默认的IntelliJ IDEA包管理器。

为当前项目选择包管理器

  1. 在“设置/首选项”对话框(Ctrl+Alt+S)中,单击“语言和框架”下的“Node.js”和“NPM”。将打开Node.js和NPM页面。

  2. 从包管理器列表中,选择npmyarn以使用系统默认安装。要使用包管理器的自定义安装,请单击“选择”,然后在打开的对话框中选择包管理器的相关路径。

    ws_package_manager_configuration.png
    当您从“运行/调试配置:NPM”对话框中的“包管理器”列表中选择Project别名时,IntelliJ IDEA会自动使用所选的包管理器。每次调用运行'npm安装'/运行'yarn安装'命令或运行npm/Yarn脚本时,IntelliJ IDEA也会使用所选包管理器的路径。

将Yarn设置为默认的IntelliJ IDEA包管理器

  1. 在“设置新项目”对话框(文件|新项目的设置...)中,单击“语言和框架”下的“Node.js”和“NPM ”。

  2. 在打开的Node.js和NPM页面上,从包管理器列表中进行选择yarn。之后,IntelliJ IDEA会在每次创建新项目时将Yarn建议为默认值。

使用内置终端安装软件包

您可能知道,npm可以在全局或作为项目依赖项或开发依赖项安装软件包,请从npm官方网站了解更多信息。使用Yarn,您还可以在全局或作为项目依赖项安装软件包,有关详细信息,请参阅Yarn官方网站。

安装包

  1. 打开嵌入式终端(Alt+F12)。

  2. 在命令提示符处,键入以下命令之一:
    • npm install --global <package_name>yarn global add <package_name>以进行全局安装。

    • npm install --save <package_name>npm install --save-dev <package_name>或者yarn add <package_name> --dev以将程序包安装为项目依赖项或开发依赖项。

从package.json文件安装所有依赖项

  • 打开嵌入式终端(Alt+F12)并在命令提示符下键入npm installyarn install。因此,您可以从当前文件夹获得package.json中列出的所有依赖项。

在Node.js和NPM页面上安装和升级软件包

IntelliJ IDEA显示Node.js和NPM页面上所有当前安装的软件包。要打开页面,请在“设置/首选项”对话框(Ctrl+Alt+S)中,单击“语言和框架”下的“Node.js”和“NPM”。全局安装的软件包列在顶部。对于每个包,IntelliJ IDEA显示其当前安装的版本和最新的可用版本。

安装包

  1. 单击 添加图标并在打开的“可用包”对话框中,选择所需的包。

  2. 默认情况下,安装最新的软件包版本。要安装另一个,请选中“指定版本”复选框,然后从列表中选择所需的版本。

  3. 默认安装是本地安装。要使用其他安装类型,请选择“选项”复选框,然后键入-g以进行全局安装或键入--save/--save-dev以将程序包作为依赖项/开发依赖项。

查看包的位置

  • 将鼠标指针悬停在包名称上。IntelliJ IDEA在工具提示中显示包的路径。

将软件包升级到最新版本

  • 在列表中选择包,然后单击 升级

删除包

  • 在列表中选择包,然后单击 卸载(删除)

编辑package.json

IntelliJ IDEA可帮助您处理package.json文件中的项目依赖性,从而提供广泛的编码帮助:

  • 包名称的代码完成。
    包名称的代码完成
  • 最新的可用软件包版本的信息。
    显示最新的可用包版本
  • 以前的软件包版本的代码完成。当您按下Ctrl+Space或开始键入与最新版本不同的版本时,IntelliJ IDEA会显示包含所有先前版本软件包的建议列表。
    以前的软件包版本的代码完成
  • 快速文档查找的包。(当您从require或import语句调用文档查找时,IntelliJ IDEA还会显示npm包的readme文件。)
    快速查找包的文档 

要从package.json文件安装依赖项,请执行以下操作之一:

  • 在编辑器中打开相关的package.json文件或在Project工具窗口中选择它,然后在上下文菜单中选择运行'npm安装'。

  • 单击弹出窗口中的“运行'npm安装':

    ws_npm_yarn_package_run_npm_install_package_json_dependent.png 
    当尚未安装依赖项或更改它们时,IntelliJ IDEA会显示此弹出窗口。如果关闭弹出窗口或通过选择“不再显示”将其关闭,您仍然可以使用“运行'npm安装”操作或内置终端来安装依赖项。

更新项目依赖项

  • 单击弹出窗口中的“运行'npm安装':
    ws_npm_yarn_package_run_npm_update.png 
     每次打开项目,从版本控制更新它或编辑package.json时,IntelliJ IDEA都会显示此弹出窗口。

    IntelliJ IDEA还运行一个检查,检查是否安装了依赖项或devDependencies的包,以及它们的版本是否与指定范围匹配。

    ws_node_inspect_that_package_up_to_date.png 
    如果检查发现任何不匹配,则建议快速修复。要应用它,请按Alt+Enter,然后从列表中选择“运行'npm安装':
    ws_node_inspect_that_package_up_to_date_quick_fix.png
以上内容是否对您有帮助:
在线笔记
App下载
App下载

扫描二维码

下载编程狮App

公众号
微信公众号

编程狮公众号

意见反馈
返回顶部